Subject: Re: SnmpAdminString for entmib

From: Andy Bierman <[email-masked]>
Date: Wed, 07 Jul 1999 00:27:45 +0000

Bert Wijnen wrote:
> 
> Ref:  Your note of Tue, 06 Jul 1999 21:16:55 +0000
> 
> Subject: Re:   SnmpAdminString vs DisplayString
> 
> Andy responds to Randy:
> > > >
> > > > I think:
> > > >    Support for languages beyond English is essential.
> > > >    We should have changed these SYNTAXes long ago.
> > > >    Deprecation of the OBJECTs is not necessary.
> > > >    The interoperability impact of extending the syntax is
> > > >    far less than that of creating new objects.
> >
> > I think a WG consensus is emerging to add 'replacement' SnmpAdminString
> > objects, and leave the existing objects untouched. (Now if only the IESG
> > would agree, I could do the edits ;-)
> >
> Not sure I get what you are saying.
> What does "add 'replacement'" mean?

I guess I meant 'add clone', not 'add replacement'.

> I think you want to say that "change DisplayString Objects to
> SnmpAdminObjects, keeping same OID and same descriptor.
> Did I get that right?

yes :-)

I think this is what Randy is proposing.
I didn't think it was legal, but I really like it.
It's going to have some impact on implementations - even if 
the only change is the updated MIB module itself.
But I would rather deal with that small one-time pain 
then support 2 sets of string objects for the foreseeable future.

> Bert

Andy

---

From: Keith McCloghrie <[email-masked]>
Date: Tue, 6 Jul 1999 23:08:26 -0700 (PDT)

So,

1. for draft-ietf-entmib-v2-05.txt, does any WG member object to
changing the SYNTAX of the existing DisplayString objects to
SnmpAdminString ?

2. in general, does this mean that we are allowed to 'bend' the clause
in section 10.1 of RFC 2578:

  (2)  The value of a SYNTAX clause may be replaced by a textual
       convention, providing the textual convention is defined to use the
       same primitive ASN.1 type, has the same set of values, and has
       identical semantics.
 
when the new SYNTAX has the same primitive ASN.1 type, has identical
semantics, and the set of values is sufficiently similar so as not to
cause interoperability problems ?

Keith.